/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.iterators.lang;

import jatva.iterators.AbstractIterator;

public class BooleanIterator
  extends    AbstractIterator
  implements jatva.iterators.Iterator
{
  protected int index = 0;
  
  public BooleanIterator()
  {
  }
  
  public BooleanIterator(BooleanIterator right)
  {
    index = right.index;
  }
  
  public synchronized Object clone()
  {
    return new BooleanIterator(this);
  }
  
  public synchronized void shift()
  {
    index++;
  }
  
  public boolean value()
  {
    return (index == 0);
  }
  
  public boolean stop()
  {
    return index >= 2;
  }

  public boolean equals(Object o) 
  {
    if(!(o instanceof BooleanIterator))
      return false;

    return index == ((BooleanIterator)o).index;
  }

  public String toString()
  {
    if(stop()) return jatva.iterators.Iterator.EXHAUSTED;
    return "" + value();
  }
  
  public int hashCode()
  {
    return index;
  }

  public Object next()
  {
    Object r = new Boolean(value());
    shift();
    return r;
  }

}
