/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.lang;

public class IllegalModelArgumentsException
  extends RuntimeTestException
{
  public IllegalModelArgumentsException(String p_class, String p_method)
  {
    super("Illegal arguments", new String[]{"class", "method"}, new String[]{p_class, p_method});
  }

  public IllegalModelArgumentsException(String p_class, String p_method, String info)
  {
	  super("Illegal arguments: " + info, new String[]{"class", "method"}, new String[]{p_class, p_method});
  }

  public IllegalModelArgumentsException(String p_class, String p_method, String info, String name, Object value)
  {
    super("Illegal arguments: " + info, new String[]{"class", "method", "argument name", "argument value"}, new String[]{p_class, p_method, name, "" + value});
  }

//???  
  public IllegalModelArgumentsException(String p_class, String p_method, String info, Throwable error)
  {
	  super("Illegal arguments: " + info, error, new String[]{"class", "method"}, new String[]{p_class, p_method});
  }
}
