/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.lang;

import jatva.util.Utils;

/** 
 *
 * @author Victor Kuliamin
 *
 */
public class RuntimeMediatorMethodException
  extends RuntimeTestException
{
  public RuntimeMediatorMethodException(String p_class, String p_method, String info)
  {
    super(info, new String[]{"class", "method"}, new String[]{p_class, p_method});
  }
  
  public RuntimeMediatorMethodException(String p_class, String p_method, Throwable error)//, boolean isRegistered)
  {
    super(   //isRegistered?"Implementation exception is not correctly processed in mediator":"Exception in mediator method"
             "Exception in mediator method"
           , error, new String[]{"class", "method"}, new String[]{p_class, p_method}
    );
  }

  public RuntimeMediatorMethodException(ModelObject object, String p_method, Throwable error)//, boolean isRegistered)
  {
    super(  //isRegistered?"Implementation exception is not correctly processed in mediator":"Exception in mediator method"
            "Exception in mediator method"
          , error, new String[]{"object", "method"}, new String[]{Utils.getSimpleString(object), p_method}
    );
  }
}
