/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.lang;

//import java.util.HashMap;
import java.util.Vector;

public class TestCase
{
	protected String _branch = null;
	//protected HashMap/*Integer -> Boolean*/ _pfomulas = new HashMap();
  protected jatva.util.IntToIntMap _pformulas = new jatva.util.IntToIntMap();
  protected Vector/*String*/ _marks = new Vector();
  protected Vector/*Integer*/ _predicates = new Vector();
	
  public TestCase()
  {
  }
  
  public synchronized void clear()
	{
    _branch = null;
		_pformulas.clear();
    _marks.removeAllElements();
    _predicates.removeAllElements();
	}
  
  public synchronized void add_mark(String mark)
  {
    _marks.addElement(mark);
  }
	
  public synchronized boolean add_prime_formula(boolean pformula, int identifier)
	{
    _pformulas.put(identifier, pformula?2:1);
		
		return pformula;
	}
	
  public synchronized void set_branch(String sbranch)
	{
		_branch = sbranch;
	}
  
  public synchronized void add_predicate(int identifier)
  {
    _predicates.addElement(new Integer(identifier));
  }
  
  public synchronized String getBranch()
  {
    return _branch;
  }
  
  public synchronized int getFormulasNumber()
  {
    return _pformulas.size();
  }
  
//  public synchronized boolean getFormulaValue(int identifier)
  public synchronized int getFormulaValue(int identifier)
  {
    if(_pformulas.get( identifier ) == 1)
      return 0;
    else if(_pformulas.get( identifier ) == 2)
      return 1;
    else
      return -1;
  }
}
