/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.tracer.impl;


//=============================================================================

//=============================================================================

/** 
 * This class implements writing trace messages to console.
 *
 * @author  <a href="mailto:barancev@ispras.ru">Alexei Barantsev</a>
 * @version 1.0
 */
public class WriteToConsole
  extends AbstractWriter 
{
  /** 
   * Creates a new instance of WriteToConsole.
   */
  public WriteToConsole()
  {
  }

  /** 
   * Writes message to console.
   * 
   * @see AbstractWriter#sendMessage(String)
   */
  public void sendMessage(StringBuffer message)
  {
    synchronized (WriteToConsole.class)
    {
      System.out.print(message);
      System.out.flush();
    }
  }
}

//=============================================================================
// End of file WriteToConsole.java
