/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.util.log;

/**
 * Silent log that suppresses all printing requests.
 *
 * @author <a href="mailto:monakhov@ispras.ru">Alexander Monakhov</a>
 */
public class NullLog extends ThreadLog
{
    private static final NullLog instance = new NullLog();

    public static ThreadLog log()
    { return instance; }

    @Override
    public void print( String ... texts )
    {
    }

    @Override
    protected void printLine( String l )
    {
    }

    @Override
    protected void printFooter()
    {
    }

    @Override
    protected void printHeader()
    {
    }
}
