/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.util;

import junit.framework.TestCase;

public class UtilsTest extends TestCase {
    
    public void testCropModifiers() {
        assertEquals("public", "void myMethod(String sig)", Utils.cropModifiers("public void myMethod(String sig)"));
        assertEquals("public static", "void myMethod(String sig)", Utils.cropModifiers("public static void myMethod(String sig)"));
        assertEquals("public static final", "void myMethod(String sig)", Utils.cropModifiers("public static final void myMethod(String sig)"));
        assertEquals("static public", "void myMethod(String sig)", Utils.cropModifiers("static public void myMethod(String sig)"));
    }

}
